Warning: "continue" targeting switch is equivalent to "break". Did you mean to use "continue 2"? in /home/333ggg/www/akisame/wpcore/wp-includes/pomo/plural-forms.php on line 210
さくらにsubversionをインストール
Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/333ggg/www/akisame/wpcore/wp-content/plugins/ultimate_ga_1.6.0.php on line 524

さくらにsubversionをインストール


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/333ggg/www/akisame/wpcore/wp-content/plugins/ultimate_ga_1.6.0.php on line 524

さくらインターネットのレンタルサーバ(スタンダードプラン)にsubversionをインストールする方法のメモです。

プログラムのバージョン管理は、使い慣れてるSubversionを使用。
サーバ側にsubversionをインストールして、クライアントはWindowsXPでToroiseSVNを使います。
サーバのOSはFreeBSD 6.1-RELEASE-p24 i386。

サーバにsubversionをインストールする

以下の3つが必要。

  1. subversion
  2. apr
  3. apr-util

検索したらswigとかneonも必要って書いてあったけど、上の3つだけで使えました。

subversionダウンロードして解凍

最新版はhttp://subversion.tigris.org/から、たどれば持ってこれます。
.tar.bz2でも.tar.gzでも.zipでもお好きなものを。
今回は1.5.2の.tar.gzを持ってきてインストール。

mkdir -p $HOME/local/src
cd $HOME/local/src
wget http://subversion.tigris.org/downloads/subversion-1.5.2.tar.gz
tar xzf subversion-1.5.2.tar.gz

APRとAPR-Utilをダウンロードして解凍

subversionは1.4.0移行だとAPRとAPR-Utilが入ってなくて
makeできないのでAPRとAPR-Utilをダウンロード。
最新版はもっと新しいけれど、subversionをconfigureしたときに
0.9.xを入れろと書いてあったので0.9.xの最新を持ってくる。
最新版はhttp://apr.apache.org/から0.9.XのところのDownloadをクリックしてたどれば持ってこられます。

cd $HOME/local/src
wget http://www.meisei-u.ac.jp/mirror/apache/dist/apr/apr-0.9.17.tar.gz
tar xzf apr-0.9.17.tar.gz
wget http://www.meisei-u.ac.jp/mirror/apache/dist/apr/apr-util-0.9.15.tar.gz
tar xzf apr-util-0.9.15.tar.gz

解凍した中身をsubversionのディレクトリにコピー。

cd $HOME/local/src
mkdir subversion-1.5.2/apr
mkdir subversion-1.5.2/apr-util
cp -rf apr-0.9.17/* subversion-1.5.2/apr
cp -rf apr-util-0.9.15/* subversion-1.5.2/apr-util

subversionインストール

cd $HOME/local/src
cd subversion-1.5.2
./configure --prefix=$HOME/local
make && make install

configureはこれだけでいいのか不安。
でもこれで使えました。

windowsの設定は、WindowsでTortoiseSVNを使うに書いておきました。

参考サイト

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です


五 − = 2


Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/333ggg/www/akisame/wpcore/wp-content/plugins/ultimate_ga_1.6.0.php on line 524

Warning: Use of undefined constant user_level - assumed 'user_level' (this will throw an Error in a future version of PHP) in /home/333ggg/www/akisame/wpcore/wp-content/plugins/ultimate_ga_1.6.0.php on line 524